﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace WindowsFormsApplication3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            BaseShape.GeometryLibrary = GeometryLibrary.Managed;
            GdiPlusRasterLayer rasterLayer = new GdiPlusRasterLayer(@"..\..\Data\img2.jpg", new RectangleShape(-1000, 90, -640, -90));
            rasterLayer.Open();
            RectangleShape rect = rasterLayer.GetBoundingBox();
            rasterLayer.Close();

            GdiPlusRasterLayer rasterLayer1 = new GdiPlusRasterLayer(@"..\..\Data\img1.jpg", new RectangleShape(-640, 90, -280, -90));
            GdiPlusRasterLayer rasterLayer2 = new GdiPlusRasterLayer(@"..\..\Data\img3.jpg", new RectangleShape(-280, 90, 80, -90));
            GdiPlusRasterLayer rasterLayer3 = new GdiPlusRasterLayer(@"..\..\Data\img4.jpg", new RectangleShape(80, 90, 440, -90));
            GdiPlusRasterLayer rasterLayer4 = new GdiPlusRasterLayer(@"..\..\Data\img5.jpg", new RectangleShape(440, 90, 800, -90));

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(rasterLayer);
            overlay.Layers.Add(rasterLayer1);
            overlay.Layers.Add(rasterLayer2);
            overlay.Layers.Add(rasterLayer3);
            overlay.Layers.Add(rasterLayer4);
            overlay.TileCache = new FileBitmapTileCache("Cache");

            winformsMap1.CurrentExtent = new RectangleShape(-1000, 500, 1000, -500);
            winformsMap1.Overlays.Add(overlay);
            winformsMap1.Refresh();
        }
    }
}
